Пользователи WordPress вновь под угрозой из-за уязвимости в плагинах

Пользователи WordPress вновь под угрозой из-за уязвимости в плагинах

Поделиться

По данным издания Search Engine Journal, более миллиона WordPress-сайтов находятся под угрозой из-за популярной библиотеки шаблонов для редактора Gutenberg.

Специалисты по безопасности из компании WordFence сообщают, что в плагине WordPress Gutenberg Template Library найдены две уязвимости, использование которых позволит злоумышленникам получить полный контроль над сайтом-жертвой. Опасное дополнение используется для быстрой развертки сайтов без необходимости самостоятельно размещать на страницах каждый блок с данными – поэтому он и стал так популярен.

Для взаимодействия с сайтом плагин использует REST API. И из-за технических неисправностей, допущенных разработчиками WordPress Gutenberg Template Library, использование API привело к наличию серьезной угрозы в работе сайтом целиком.

Сама по себе обнаруженная брешь в безопасности критичной угрозы не несет, но она позволяет внести на любом WP-сайте ряд изменений, которые впоследствии помогут преступникам получить над ресурсом полный контроль. При этом злоумышленникам даже не нужна учетная запись, аутентифицированная как администратор или модератор сайта.

Профессионалы рекомендуют пользователям плагина как можно скорее установить последнюю версию, чтобы снизить потенциальные риски.

WordPress: плагины для Instagram

Добавить комментарий

Ваш адрес электронной почты не будет опубликован. Обязательные поля помечены *